> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Affiliate Signup

Submit an affiliate self-registration. This is the public endpoint used when affiliates sign up through the registration page. Creates a new affiliate account (pending approval) with the provided information.

Custom fields (`custom_field_values`) are optional and defined in Control Center under the signup page configuration. Field IDs can be retrieved via `GET /networks/settings/affiliateportal` (in the `relationship.custom_fields` array). Fields marked as mandatory in the UI are also required in API submissions.


## OpenAPI

````yaml /openapi/signup.yaml post /networks/affiliate/signup
openapi: 3.0.3
info:
  title: Everflow Network API - Signup
  description: >
    Endpoints for managing affiliate and advertiser signup configuration and
    submissions. For configuration details, see the [Partner Signup
    guide](https://helpdesk.everflow.io/customer/setting-up-your-partners-via-sign-up-form).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Signup
paths:
  /networks/affiliate/signup:
    post:
      tags:
        - Signup
      summary: Submit Affiliate Signup
      requestBody:
        required: true
        content:
          application/json:
            example:
              firstname: John
              lastname: Doe
              email: john.doe@example.com
              phone: 555-555-1212
              company: Example Company
              website: https://example.com
              advertise_method_description: Facebook, Google Ads
              contact_address:
                address_1: 123 Main St
                address_2: Suite 100
                city: Miami
                zip_postal_code: '33101'
                country_id: 232
                region_code: FL
            schema:
              type: object
              required:
                - firstname
                - lastname
                - email
                - company
                - website
                - advertise_method_description
                - contact_address
                - billing
              properties:
                firstname:
                  type: string
                  description: The first name of the affiliate user signing up.
                lastname:
                  type: string
                  description: The last name of the affiliate user signing up.
                email:
                  type: string
                  description: The email address of the user signing up. Must be unique.
                phone:
                  type: string
                  description: Phone number.
                legal_type:
                  type: string
                  description: The affiliate's entity legal type.
                  enum:
                    - individual
                    - partnership
                    - corporation
                    - sole_proprietorship
                    - other
                    - foreign
                    - llc
                    - llp
                    - non_profit
                    - non_us_entity
                company:
                  type: string
                  description: >-
                    The affiliate's company name. Will become the affiliate name
                    once/if the affiliate is approved.
                website:
                  type: string
                  description: The affiliate's website.
                advertise_method_description:
                  type: string
                  description: Method used by the affiliate to advertise.
                custom_terms:
                  type: string
                  description: >-
                    Network defined custom terms and conditions that the
                    affiliate accepted.
                platform_terms:
                  type: string
                  description: Everflow's terms and conditions that the affiliate accepted.
                contact_address:
                  type: object
                  description: Affiliate's mailing/contact address. Required for signup.
                  properties:
                    address_1:
                      type: string
                      description: Street address line 1.
                    address_2:
                      type: string
                      description: Street address line 2.
                    city:
                      type: string
                      description: City.
                    region_code:
                      type: string
                      description: >-
                        State or region code (e.g. "FL", "CA"). Valid values can
                        be found using the metadata API.
                    country_id:
                      type: integer
                      description: >-
                        Numeric country identifier (e.g. 232 for US). Valid
                        values can be found using the metadata API.
                    zip_postal_code:
                      type: string
                      description: ZIP or postal code.
                referral_code:
                  type: string
                  description: Referral code used during signup.
                tax_id:
                  type: string
                  description: Tax identification number (EIN, SSN, etc.).
                affiliate_manager_encoded_value:
                  type: string
                  description: Affiliate manager's encoded ID.
                referrer_encoded_value:
                  type: string
                  description: >-
                    Encoded value of the affiliate ID that referred the new sign
                    up.
                password:
                  type: string
                  description: Account password. Must be at least 12 characters.
                billing:
                  type: object
                  description: The affiliate's billing information.
                  required:
                    - payment_type
                    - billing
                  properties:
                    payment_type:
                      type: string
                      description: |
                        The affiliate's payment type.
                      enum:
                        - none
                        - pay
                        - paypal
                        - check
                        - wire
                        - direct_deposit
                        - tipalti
                        - paxum
                        - veem
                        - payoneer
                        - bitcoin
                        - webmoney
                        - capitalist
                        - transferwise
                        - gift_card
                        - masspay
                        - skrill
                    billing:
                      type: object
                      description: >
                        The affiliate's payment method details. Required when
                        payment_type is set to anything other than "none".
                      properties:
                        paxum_id:
                          type: string
                          description: >-
                            The affiliate's paxum id. Required when payment_type
                            is "paxum".
                        paypal_reception_method:
                          type: string
                          description: >
                            The reception method used with PayPal. Can be
                            "email", "phone" or "paypal_account". Required when
                            payment_type is "paypal".
                        reception_identifier:
                          type: string
                          description: >-
                            The affiliate's PayPal reception identifier.
                            Required when payment_type is "paypal".
                        email:
                          type: string
                          description: >-
                            The affiliate's email. Required when payment_type is
                            "payoneer" or "veem".
                        is_existing_payee:
                          type: boolean
                          description: >-
                            Whether to assign an existing payee id. Required
                            when payment_type is "tipalti".
                        idap:
                          type: string
                          description: >-
                            The payee's IDAP (Payee ID). Required when
                            payment_type is "tipalti" and is_existing_payee is
                            true.
                        first_name:
                          type: string
                          description: >-
                            The affiliate's first name. Required when
                            payment_type is "veem".
                        last_name:
                          type: string
                          description: >-
                            The affiliate's last name. Required when
                            payment_type is "veem".
                        phone:
                          type: string
                          description: >-
                            The affiliate's phone number (international format).
                            Required when payment_type is "veem".
                        country_iso:
                          type: string
                          description: >-
                            The affiliate's country ISO code. Required when
                            payment_type is "veem".
                        bank_name:
                          type: string
                          description: >-
                            The affiliate's bank name. Required when
                            payment_type is "wire" or "direct_deposit".
                        bank_address:
                          type: string
                          description: >-
                            The affiliate's bank address. Required when
                            payment_type is "wire" or "direct_deposit".
                        account_name:
                          type: string
                          description: >-
                            The affiliate's bank account name. Required when
                            payment_type is "wire" or "direct_deposit".
                        account_number:
                          type: string
                          description: >-
                            The affiliate's bank account number. Required when
                            payment_type is "wire" or "direct_deposit".
                        routing_number:
                          type: string
                          description: >-
                            The affiliate's bank routing number. Required when
                            payment_type is "wire" or "direct_deposit".
                        swift_code:
                          type: string
                          description: >-
                            The affiliate's swift code. Required when
                            payment_type is "wire" or "direct_deposit".
                custom_field_values:
                  type: array
                  description: Responses to custom signup fields defined in Control Center.
                  items:
                    type: object
                    required:
                      - network_signup_custom_field_id
                      - field_value
                    properties:
                      network_signup_custom_field_id:
                        type: integer
                        description: The ID of the custom signup field.
                      field_value:
                        type: string
                        description: The value for this custom field.
      responses:
        '200':
          description: Affiliate signup submitted successfully.
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````